Subject: [lisp] draft-ietf-lisp-07.txt ready to post

From: Darrel Lewis <[email-masked]>
Date: Sat, 24 Apr 2010 17:42:19 -0700

All,

I've attached an updated diff and text with the changes based on the review comments received over the last couple of days.

To review, the three main substantive changes for this draft version from -06 are:

(1) Changing the data-header format to add V-bit for Versioning and I-bit for Instance IDs.

(2) Adding a list ITR-RLOCs in the Map-Request to deal with heterogeneous address-families
  in different sites.

(3) Using Map-Versioning (and not Version-Hashing) as the mapping update solution.

Below is a up to date change log for -07, which includes editorial responses received since the original and update emails to the list.  Please note that we've got many open issues in the tracker to be reviewed for -08, and the review of the many detailed comments is getting started immediately.  I'll be updating the issue tracker tickets with specific details (more thorough than the change log) for each individual issue.

Unless there is any last minute issues we'll plan to post this later this weekend.

-Darrel
(on behalf of Dino, Dave, and Vince)

Changes to draft-ietf-lisp-07.txt

  o  Posted April 2010.

  o  Added I-bit to data header so LSB field can also be used as an
     Instance ID field.  When this occurs, the LSB field is reduced to
     8-bits (from 32-bits).

  o  Added V-bit to the data header so the 24-bit nonce field can also
     be used for source and destination version numbers.

  o  Added Map-Version 12-bit value to the EID-record to be used in all
     of Map-Request, Map-Reply, and Map-Register messages.

  o  Added multiple ITR-RLOC fields to the Map-Request packet so an ETR
     can decide what address to select for the destination of a Map-
     Reply.

  o  Added L-bit (Local RLOC bit) and p-bit (Probe-Reply RLOC bit) to
     the Locator-Set record of an EID-record for a Map-Reply message.
     The L-bit indicates which RLOCs in the locator-set are local to
     the sender of the message.  The P-bit indicates which RLOC is the
     source of a RLOC-probe Reply (Map-Reply) message.

  o  Add reference to the LISP Canonical Address Format [LCAF] draft.

  o  Made editorial and clarification changes based on comments from
     Dhirendra Trivedi.

  o  Added wordsmithing comments from Joel Halpern on DF=1 setting.

  o  Add John Zwiebel clarification to Echo Nonce Algorithm section
     6.3.1.

  o  Add John Zwiebel comment about expanding on proxy-map-reply bit
     for Map-Register messages.

  o  Add NAT section per Ron Bonica comments.

  o  Fix IDnits issues per Ron Bonica.

  o  Added section on Virtualization and Segmentation to explain the
     use if the Instance ID field in the data header.

  o  There are too many P-bits, keep their scope to the packet format
     description and refer to them by name every where else in the
     spec.

  o  Scanned all occurrences of "should", "should not", "must" and
     "must not" and uppercased them.

  o  John Zwiebel offered text for section 4.1 to modernize the
     example.  Thanks Z!

  o  Make it more clear in the definition of "EID-to-RLOC Database"
     that all ETRs need to have the same database mapping.  This
     reflects a comment from John Scudder.

  o  Add a definition "Route-returnability" to the Definition of Terms
     section.

  o  In section 9.2, add text to describe what the signature of
     traceroute packets can look like.

  o  Removed references to Data Probe for introductory example.  Data-
     probes are still part of the LISP design but not encouraged.

  o  Added the definition for "LISP site" to the Definition of Terms"
     section.